module.exports = {
	rules: {
		'color-hex-case': ['lower', { severity: 'warning' }],
		'color-hex-length': ['short', { severity: 'warning' }],
		'font-family-name-quotes': ['always-unless-keyword', { severity: 'warning' }],
		'function-comma-newline-after': ['always-multi-line', { severity: 'warning' }],
		'function-comma-newline-before': ['never-multi-line', { severity: 'warning' }],
		'function-comma-space-after': ['always-single-line', { severity: 'warning' }],
		'function-comma-space-before': ['never', { severity: 'warning' }],
		'function-parentheses-newline-inside': ['always-multi-line', { severity: 'warning' }],
		'function-parentheses-space-inside': ['never', { severity: 'warning' }],
		'function-url-quotes': ['always', { severity: 'warning' }],
		'function-whitespace-after': ['always', { severity: 'warning' }],
		'number-leading-zero': ['always', { severity: 'warning' }],
		'number-no-trailing-zeros': [true, { severity: 'warning' }],
		'string-quotes': ['double', { severity: 'warning' }],
		'length-zero-no-unit': [
			true,
			{
				ignore: ['custom-properties'],
				severity: 'warning',
			},
		],
		'unit-case': ['lower', { severity: 'warning' }],
		'value-keyword-case': ['lower', { severity: 'warning' }],
		'value-list-comma-newline-after': ['always-multi-line', { severity: 'warning' }],
		'value-list-comma-newline-before': ['never-multi-line', { severity: 'warning' }],
		'value-list-comma-space-after': ['always-single-line', { severity: 'warning' }],
		'value-list-comma-space-before': ['never', { severity: 'warning' }],
		'property-case': ['lower', { severity: 'warning' }],
		'declaration-bang-space-after': ['never', { severity: 'warning' }],
		'declaration-bang-space-before': ['always', { severity: 'warning' }],
		'declaration-colon-newline-after': ['always-multi-line', { severity: 'warning' }],
		'declaration-colon-space-after': ['always-single-line', { severity: 'warning' }],
		'declaration-colon-space-before': ['never', { severity: 'warning' }],
		'declaration-empty-line-before': [
			'always',
			{
				except: ['first-nested', 'after-declaration'],
				ignore: ['after-comment'],
				severity: 'warning',
			},
		],
		'declaration-block-semicolon-newline-after': ['always', { severity: 'warning' }],
		'declaration-block-semicolon-newline-before': ['never-multi-line', { severity: 'warning' }],
		'declaration-block-semicolon-space-after': ['always-single-line', { severity: 'warning' }],
		'declaration-block-semicolon-space-before': ['never', { severity: 'warning' }],
		'declaration-block-trailing-semicolon': ['always', { severity: 'warning' }],
		'block-closing-brace-empty-line-before': ['never', { severity: 'warning' }],
		'block-closing-brace-newline-after': ['always', { severity: 'warning' }],
		'block-closing-brace-newline-before': ['always', { severity: 'warning' }],
		'block-opening-brace-newline-after': ['always', { severity: 'warning' }],
		'block-opening-brace-space-before': ['always', { severity: 'warning' }],
		'selector-attribute-brackets-space-inside': ['never', { severity: 'warning' }],
		'selector-attribute-operator-space-after': ['never', { severity: 'warning' }],
		'selector-attribute-operator-space-before': ['never', { severity: 'warning' }],
		'selector-attribute-quotes': ['always', { severity: 'warning' }],
		'selector-combinator-space-after': ['always', { severity: 'warning' }],
		'selector-combinator-space-before': ['always', { severity: 'warning' }],
		'selector-pseudo-class-case': ['lower', { severity: 'warning' }],
		'selector-pseudo-class-parentheses-space-inside': ['never', { severity: 'warning' }],
		'selector-pseudo-element-case': ['lower', { severity: 'warning' }],
		'selector-type-case': ['lower', { severity: 'warning' }],
		'selector-list-comma-newline-after': ['always', { severity: 'warning' }],
		'selector-list-comma-newline-before': ['never-multi-line', { severity: 'warning' }],
		'selector-list-comma-space-after': ['always-single-line', { severity: 'warning' }],
		'selector-list-comma-space-before': ['never', { severity: 'warning' }],
		'rule-empty-line-before': [
			'always',
			{
				except: ['first-nested'],
				ignore: ['after-comment'],
				severity: 'warning',
			},
		],
		'media-feature-colon-space-after': ['always', { severity: 'warning' }],
		'media-feature-colon-space-before': ['never', { severity: 'warning' }],
		'media-feature-parentheses-space-inside': ['never', { severity: 'warning' }],
		'media-feature-range-operator-space-after': ['always', { severity: 'warning' }],
		'media-feature-range-operator-space-before': ['always', { severity: 'warning' }],
		'media-query-list-comma-newline-after': ['always-multi-line', { severity: 'warning' }],
		'media-query-list-comma-newline-before': ['never-multi-line', { severity: 'warning' }],
		'media-query-list-comma-space-after': ['always-single-line', { severity: 'warning' }],
		'media-query-list-comma-space-before': ['never', { severity: 'warning' }],
		'at-rule-empty-line-before': [
			'always',
			{
				except: ['first-nested'],
				ignore: ['after-comment', 'blockless-after-same-name-blockless'],
				severity: 'warning',
			},
		],
		'at-rule-name-case': ['lower', { severity: 'warning' }],
		'at-rule-name-space-after': ['always', { severity: 'warning' }],
		'at-rule-semicolon-newline-after': ['always', { severity: 'warning' }],
		'at-rule-semicolon-space-before': ['never', { severity: 'warning' }],
		'comment-whitespace-inside': ['always', { severity: 'warning' }],
		indentation: ['tab', { severity: 'warning' }],
		'max-empty-lines': [1, { severity: 'warning' }],
		'no-eol-whitespace': [true, { severity: 'warning' }],
		'no-missing-end-of-source-newline': [true, { severity: 'warning' }],
		'function-max-empty-lines': [0, { severity: 'warning' }],
		'function-name-case': ['lower', { severity: 'warning' }],
		'value-list-max-empty-lines': [0, { severity: 'warning' }],
		'custom-property-empty-line-before': [
			'always',
			{
				except: ['after-custom-property', 'first-nested'],
				ignore: ['after-comment'],
				severity: 'warning',
			},
		],
		'selector-descendant-combinator-no-non-space': [true, { severity: 'warning' }],
		'selector-pseudo-element-colon-notation': ['double', { severity: 'warning' }],
		'media-feature-name-case': ['lower', { severity: 'warning' }],
		linebreaks: ['unix', { severity: 'warning' }],
		'no-empty-first-line': [true, { severity: 'warning' }],
		'no-irregular-whitespace': [true, { severity: 'error' }],
	},
};
